using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;

namespace WpfApplication63
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			this.InitializeComponent();
			
			// Insert code required on object creation below this point.
		}

		private void radButton1_Click (object sender, RoutedEventArgs e)
		{
		
			GridViewDataColumn col1 = new GridViewDataColumn();
			col1.Header = "ID";
			col1.DataMemberBinding = new Binding("Property1");
			col1.CellStyle = this.Resources["style1"] as Style;
			this.grid.Columns.Add(col1);
			GridViewDataColumn col2 = new GridViewDataColumn();
			col2.Header = "CompanyName";
			col2.DataMemberBinding = new Binding("Property2");
			this.grid.Columns.Add(col2);
			GridViewImageColumn col3 = new GridViewImageColumn();
			col3.Header = "Image";
			col3.DataMemberBinding = new Binding("Property4");
			col3.ImageHeight = 100;
			col3.ImageWidth = 100;
			col3.ImageStretch = Stretch.Fill;
			this.grid.Columns.Add(col3);
			GridViewCheckBoxColumn col4 = new GridViewCheckBoxColumn();
			col4.Header = "Bool?";
			col4.DataMemberBinding = new Binding("Property3");
			this.grid.Columns.Add(col4);
		}
	}
}